import { client, navigateTo } from "../../index.js";
import AbstractRedirectView from "./AbstractRedirectView.js";

export default class extends AbstractRedirectView{
    constructor(params, title) {
		super(params, title, "/login");
    }

    async redirect()
    {
		if (await client.isAuthentificate() === false)
		{
			navigateTo(this.redirect_url);
			return 1;
		}
		return 0;
    }
}
